debug
| Rivet Tcl Commands and Variables |

## Name

debug — A command to print strings, arrays and the values of variables as specified by the arguments.

## Synopsis

::rivet::debug -subst ?<on|off>? -separator ?<string>? -option ?`<value>`? -option ?`<value>`? ...

## Description

A command to make debugging more convenient print strings, arrays and the values of variables as specified by the arguments.

Also allows the setting of an array called debug which will pick up options for all debug commands.

cookie |  | env